Cyberduck Mountain Duck CLI

#1142 closed defect (fixed)

Disconnects after creating directory... even if there are more files to upload

Reported by: prattboy Owned by: dkocher
Priority: high Milestone: 2.8
Component: ftp Version: 2.7.3
Severity: major Keywords:
Cc: aaron.pratt@… Architecture:
Platform:

Description

When I try to upload a series of files and directories with one drag and drop, Cyberduck appears to disconnect and then immediately reconnect if the following condition is met:

*The files being uploaded contain a directory.

Cyberduck will create the directory but then appears to disconnect and reconnect. This stops the upload process, even if there are additional files to upload.

Change History (12)

comment:1 Changed on Jun 21, 2007 at 7:47:18 AM by dkocher

Are you running 2.7.2. Use Cyberduck > Check for Update...

comment:2 Changed on Jun 21, 2007 at 11:32:52 AM by prattboy

No. I'm using 2.7.3

comment:3 Changed on Jun 22, 2007 at 6:34:25 AM by agenericuser

  • Priority changed from normal to high
  • Severity changed from normal to major

me too. I'm using 2.7.3 (2930) and I keep needing to hit "resume" during an upload of a directory that contains other folders and files. also sync halts...

comment:4 Changed on Jun 22, 2007 at 6:43:23 AM by agenericuser

seems to be same/similar to issue in (closed) ticket #1001

comment:5 Changed on Jun 22, 2007 at 11:34:22 AM by prattboy

I have FTP access on two different servers. On one server, I have this error. On the other, I do not. How do I give access to the appropriate parties for testing?

comment:6 Changed on Jun 22, 2007 at 1:01:27 PM by dkocher

Please post the log which is displayed in the error dialog when the transfer halts.

comment:7 Changed on Jun 22, 2007 at 1:27:00 PM by prattboy

The plot thickens. There is no error dialog. The transfer window just says "Disconnected" and it stops transferring.

Something additional information that might be helpful:

If I create the directories via OS X, there seems to be no problem with them when uploading. Many (if not all) the directories I'm having trouble with have been uncompressed from tar.gz files via Stuffit Expander v 11.0.2 (Intel build 627).

comment:8 Changed on Jun 23, 2007 at 12:57:08 PM by agenericuser

yes there is no dialog error for me either (unless I just am not looking in the secret error place? *grin* let me know where to look). My window also just says disconnected and stops. I am also uploading from an archive I have decompressed. I'm happy to provide any details you need, just let me know.

comment:9 Changed on Jun 24, 2007 at 7:48:19 PM by dkocher

  • Summary changed from Cyberduck disconnects after creating directory... even if there are more files to upload to Disconnects after creating directory... even if there are more files to upload

Is this for FTP or SFTP transfers? Also, do you see the same problem in the latest build at http://update.cyberduck.ch/nightly/ (currently r3094)?

comment:10 Changed on Jun 24, 2007 at 11:20:41 PM by prattboy

Alrighty... it's not all archives that I uncompress, and those that give me trouble seem to work okay if I use an application other than Stuffit Expander to uncompress them. I specifically have trouble with the tar.gz modules downloaded from drupal.org

This is via FTP. I have not used SFTP to test. The latest build, r3101 (it looks like there was one additional release prior to this post, dkocher) seems to have the same issues (although the revised transfer window looks very nice).

comment:11 Changed on Jun 25, 2007 at 6:17:21 AM by dkocher

  • Component changed from core to ftp
  • Milestone set to 2.8
  • Status changed from new to assigned

Thanks for the additinal info. I will look into this.

comment:12 Changed on Jun 25, 2007 at 9:15:32 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

Fixed in r3104.

Note: See TracTickets for help on using tickets.
swiss made software